export interface HomeBannerVO {
  /**
   * 
   */
  bannerId: string | number;

  /**
   * 0:pc端轮播，1：移动端轮播
   */
  type: number;

  /**
   * 标题
   */
  title: string;

  /**
   * 跳转链接
   */
  url: string;

  /**
   * 排序
   */
  sort: number;

  /**
   * 封面
   */
  cover: number;

  /**
   * 0-下架，1-上架
   */
  status: number;

}

export interface HomeBannerForm extends BaseEntity {
  /**
   * 
   */
  bannerId?: string | number;

  /**
   * 0:pc端轮播，1：移动端轮播
   */
  type?: number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 跳转链接
   */
  url?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 封面
   */
  cover?: number;

  /**
   * 0-下架，1-上架
   */
  status?: number;

}

export interface HomeBannerQuery extends PageQuery {

  /**
   * 0:pc端轮播，1：移动端轮播
   */
  type?: number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 跳转链接
   */
  url?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 封面
   */
  cover?: number;

  /**
   * 0-下架，1-上架
   */
  status?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



