export interface HomeShowVO {
  /**
   * 
   */
  showId: string | number;

  /**
   * 是否外链0:否，1：是
   */
  type: number;

  /**
   * 教师名称
   */
  teacherName: string;

  /**
   * 年级名称
   */
  gradeName: string;

  /**
   * 学科名称
   */
  subjectName: string;

  /**
   * 排序
   */
  sort: number;

  /**
   * 教师介绍
   */
  content: string;

  /**
   * 0-下架，1-上架
   */
  status: number;

}

export interface HomeShowForm extends BaseEntity {
  /**
   * 
   */
  showId?: string | number;

  /**
   * 是否外链0:否，1：是
   */
  type?: number;

  /**
   * 教师名称
   */
  teacherName?: string;

  /**
   * 年级名称
   */
  gradeName?: string;

  /**
   * 学科名称
   */
  subjectName?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 教师介绍
   */
  content?: string;

  /**
   * 0-下架，1-上架
   */
  status?: number;
  avatar?: string;
}

export interface HomeShowQuery extends PageQuery {

  /**
   * 是否外链0:否，1：是
   */
  type?: number;

  /**
   * 教师名称
   */
  teacherName?: string;

  /**
   * 年级名称
   */
  gradeName?: string;

  /**
   * 学科名称
   */
  subjectName?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 教师介绍
   */
  content?: string;

  /**
   * 0-下架，1-上架
   */
  status?: number;

  /**
   * 日期范围参数
   */
  params?: any;
}



