import request from '@/utils/request';
import { AxiosPromise } from 'axios';

export const getGradeNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/grade/num',
    method: 'get',
    params: query
  });
};

export const getClassNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/class/num',
    method: 'get',
    params: query
  });
};

export const getTeacherNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/teacher/num',
    method: 'get',
    params: query
  });
};

export const getOssNum = (query?: any): AxiosPromise<any> => {
  return request({
    url: '/statistic/oss/num',
    method: 'get',
    params: query
  });
};

export const getOssUseRank = (query?: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/oss/use/rank',
    method: 'get',
    params: query
  });
};

export const getOssType = (query?: any): AxiosPromise<any[]> => {
  return request({
    url: '/statistic/oss/type',
    method: 'get',
    params: query
  });
};