import { ref, onMounted } from 'vue'
import { getVolume } from '@/api/system/oss'

export function useVolume(type: number) {
  const volume = ref<any>()

  const getVolumeData = async () => {
    const res = await getVolume({ type })
    volume.value = res.data
  }

  onMounted(() => {
    getVolumeData()
  })

  return {
    volume
  }
}