export interface HomeTrendVO {
  /**
   * 
   */
  trendId: string | number;

  /**
   * 是否外链0:否，1：是
   */
  type: number;

  /**
   * 标题
   */
  title: string;

  /**
   * 跳转链接
   */
  url: string;

  /**
   * 排序
   */
  sort: number;

  /**
   * 内容
   */
  content: string;

  /**
   * 0-下架，1-上架
   */
  status: number;

}

export interface HomeTrendForm extends BaseEntity {
  /**
   * 
   */
  trendId?: string | number;

  /**
   * 是否外链0:否，1：是
   */
  type?: number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 跳转链接
   */
  url?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 内容
   */
  content?: string;

  /**
   * 0-下架，1-上架
   */
  status?: number;

}

export interface HomeTrendQuery extends PageQuery {

  /**
   * 是否外链0:否，1：是
   */
  type?: number;

  /**
   * 标题
   */
  title?: string;

  /**
   * 跳转链接
   */
  url?: string;

  /**
   * 排序
   */
  sort?: number;

  /**
   * 内容
   */
  content?: string;

  /**
   * 0-下架，1-上架
   */
  status?: number;
  /**
 * 发布时间
 */
  time: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



